Danh sách lệnh
curl --request GET \
--url https://api.fireant.vn/mxv/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/mxv/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/mxv/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/mxv/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/mxv/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/mxv/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/mxv/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"clientOrderCode": "<string>",
"orderCode": "<string>",
"contractCode": "<string>",
"contractName": "<string>",
"side": "<string>",
"orderType": "<string>",
"qty": 123,
"limitPrice": 123,
"stopPrice": 123,
"filledPrice": 123,
"filledQty": 123,
"orderDatetime": "2023-11-07T05:31:56Z",
"status": "<string>",
"transactionFee": 123,
"investorCode": "<string>",
"sessionDate": "<string>",
"dataSource": "<string>",
"transactions": [
{
"status": "<string>",
"filledPrice": 123,
"qty": 123,
"transactionFee": 123,
"sessionDate": "<string>"
}
]
}
]MXV
Danh sách lệnh
GET
/
mxv
/
orders
Danh sách lệnh
curl --request GET \
--url https://api.fireant.vn/mxv/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/mxv/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/mxv/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/mxv/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/mxv/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/mxv/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/mxv/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"clientOrderCode": "<string>",
"orderCode": "<string>",
"contractCode": "<string>",
"contractName": "<string>",
"side": "<string>",
"orderType": "<string>",
"qty": 123,
"limitPrice": 123,
"stopPrice": 123,
"filledPrice": 123,
"filledQty": 123,
"orderDatetime": "2023-11-07T05:31:56Z",
"status": "<string>",
"transactionFee": 123,
"investorCode": "<string>",
"sessionDate": "<string>",
"dataSource": "<string>",
"transactions": [
{
"status": "<string>",
"filledPrice": 123,
"qty": 123,
"transactionFee": 123,
"sessionDate": "<string>"
}
]
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số truy vấn
(0 = FUTURE, 1 = NANO, 2 = MXV)
Tùy chọn có sẵn:
0, 1, 2 Phản hồi
OK
ClientOrderId
OrderID
Mã HĐ
Tên HĐ
Mua/Bán
Loại lệnh
KL đặt
Giá giới hạn
Giá dừng
Giá khớp TB
KL khớp
Thời gian đặt lệnh
Trạng thái
Phí giao dịch
Mã nhà đầu tư
Ngày phiên giao dịch
Nguồn dữ liệu (FIX, ...)
Show child attributes
Show child attributes